X2Go Bug report logs - #473
x2goclient 4.0.1.4 fails to build

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Orion Poplawski <orion@cora.nwra.com>

Date: Thu, 10 Apr 2014 20:00:01 UTC

Severity: normal

Tags: pending

Found in version 4.0.1.4

Fixed in version 4.0.1.5

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#473; Package x2goclient. (Thu, 10 Apr 2014 20:00:01 GMT) (full text, mbox, link).


Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 10 Apr 2014 20:00:01 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Orion Poplawski <orion@cora.nwra.com>
To: submit@bugs.x2go.org
Subject: x2goclient 4.0.1.4 fails to build
Date: Thu, 10 Apr 2014 13:56:40 -0600
Package: x2goclient
Version: 4.0.1.4

x2goclient 4.0.1.4 fails to build for me with:

/usr/lib64/qt4/bin/rcc -name resources ../resources.rcc -o qrc_resources.cpp
RCC: Error in '../resources.rcc': Cannot find file 'x2goclient_nl.qm'

Adding x2goclient_nl.qm to x2goclient.pro fixes.  Some patch didn't get 
back-ported?

-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder/CoRA Office             FAX: 303-415-9702
3380 Mitchell Lane                       orion@nwra.com
Boulder, CO 80301                   http://www.nwra.com


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#473; Package x2goclient. (Thu, 10 Apr 2014 20:10:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 10 Apr 2014 20:10:01 GMT) (full text, mbox, link).


Message #10 received at 473@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Orion Poplawski <orion@cora.nwra.com>, 473@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#473: x2goclient 4.0.1.4 fails to build
Date: Thu, 10 Apr 2014 20:08:45 +0000
[Message part 1 (text/plain, inline)]
Hi Orion,

On  Do 10 Apr 2014 21:56:40 CEST, Orion Poplawski wrote:

> Package: x2goclient
> Version: 4.0.1.4
>
> x2goclient 4.0.1.4 fails to build for me with:
>
> /usr/lib64/qt4/bin/rcc -name resources ../resources.rcc -o qrc_resources.cpp
> RCC: Error in '../resources.rcc': Cannot find file 'x2goclient_nl.qm'
>
> Adding x2goclient_nl.qm to x2goclient.pro fixes.  Some patch didn't  
> get back-ported?

yeah, I already fixed that for our build environment [1]. Do you need  
to package that version of X2Go Client? For distros with libssh 0.6.3  
and above included, I recommend 4.0.2.0.

Mike

[1]  
http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=e1f8a2cf08a9d59d3e5891574739613a65101bcf
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#473; Package x2goclient. (Thu, 10 Apr 2014 20:15:01 GMT) (full text, mbox, link).


Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 10 Apr 2014 20:15:01 GMT) (full text, mbox, link).


Message #15 received at 473@bugs.x2go.org (full text, mbox, reply):

From: Orion Poplawski <orion@cora.nwra.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 473@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#473: x2goclient 4.0.1.4 fails to build
Date: Thu, 10 Apr 2014 14:11:59 -0600
On 04/10/2014 02:08 PM, Mike Gabriel wrote:
> Hi Orion,
>
> On  Do 10 Apr 2014 21:56:40 CEST, Orion Poplawski wrote:
>
>> Package: x2goclient
>> Version: 4.0.1.4
>>
>> x2goclient 4.0.1.4 fails to build for me with:
>>
>> /usr/lib64/qt4/bin/rcc -name resources ../resources.rcc -o qrc_resources.cpp
>> RCC: Error in '../resources.rcc': Cannot find file 'x2goclient_nl.qm'
>>
>> Adding x2goclient_nl.qm to x2goclient.pro fixes.  Some patch didn't get
>> back-ported?
>
> yeah, I already fixed that for our build environment [1]. Do you need to
> package that version of X2Go Client? For distros with libssh 0.6.3 and above
> included, I recommend 4.0.2.0.
>
> Mike
>
> [1]
> http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=e1f8a2cf08a9d59d3e5891574739613a65101bcf
>

This is for EL6 which has libssh 0.5.5.  Thanks.


-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder/CoRA Office             FAX: 303-415-9702
3380 Mitchell Lane                       orion@nwra.com
Boulder, CO 80301                   http://www.nwra.com


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#473; Package x2goclient. (Fri, 11 Apr 2014 06:20:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 11 Apr 2014 06:20:03 GMT) (full text, mbox, link).


Message #20 received at 473@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 473-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 473@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Fri, 11 Apr 2014 08:16:39 +0200 (CEST)
tag #473 pending
fixed #473 4.0.1.5
thanks

Hello,

X2Go issue #473 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=19566ab

The issue will most likely be fixed in src:x2goclient (4.0.1.5).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 19566ab745124f624605f7eb6ef904d80b2e40fc
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Fri Apr 11 08:12:56 2014 +0200

    release 4.0.1.5

diff --git a/debian/changelog b/debian/changelog
index 11a1e84..2c83ad7 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,8 +1,8 @@
-x2goclient (4.0.1.4-0x2go2) unstable; urgency=low
+x2goclient (4.0.1.5-0x2go1) unstable; urgency=low
 
-  * Build fix release (for 4.0.1.4):
+  * Build fix release (4.0.1.5):
     - Add x2goclient_nl.ts to x2goclient.pro, so that the
-      .qm file gets generated during build.
+      .qm file gets generated during build. (Fixes: #473).
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 10 Apr 2014 17:47:27 +0200
 


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#473; Package x2goclient. (Fri, 11 Apr 2014 06:20:03 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 11 Apr 2014 06:20:03 GMT) (full text, mbox, link).


Message #25 received at 473@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 473-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 473@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Fri, 11 Apr 2014 08:16:41 +0200 (CEST)
close #473
thanks

Hello,

we are very hopeful that X2Go issue #473 reported by you
has been resolved in the new release (4.0.1.5) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.1.5)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=471792c9c452ac29bc870ca9c3176e215189e2c3;hp=21dc1122f3dcb2b7d4db19eb192b66256aecad74

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.1.5-0x2go1
Status: RELEASE
Date: Thu, 10 Apr 2014 17:47:27 +0200
Fixes: 473
Changes: 
 x2goclient (4.0.1.5-0x2go1) RELEASED; urgency=low
 .
   * Build fix release (4.0.1.5):
     - Add x2goclient_nl.ts to x2goclient.pro, so that the
       .qm file gets generated during build. (Fixes: #473).


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 11 Apr 2014 06:20:04 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.1.5. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 11 Apr 2014 06:20:04 GMT) (full text, mbox, link).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 11 Apr 2014 06:20:04 GMT) (full text, mbox, link).


Notification sent to Orion Poplawski <orion@cora.nwra.com>:
Bug acknowledged by developer. (Fri, 11 Apr 2014 06:20:04 GMT) (full text, mbox, link).


Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#473. (Fri, 11 Apr 2014 06:20:05 GMT) (full text, mbox, link).


Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#473. (Fri, 11 Apr 2014 06:20:05 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#473; Package x2goclient. (Fri, 11 Apr 2014 06:25:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 11 Apr 2014 06:25:02 GMT) (full text, mbox, link).


Message #44 received at 473@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 473-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 473@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Fri, 11 Apr 2014 08:23:18 +0200 (CEST)
tag #473 pending
fixed #473 4.0.1.5
thanks

Hello,

X2Go issue #473 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=0a20539

The issue will most likely be fixed in src:x2goclient (4.0.1.5).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 0a205394fa946e70bb1481af0f1192457bc1a1bd
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Fri Apr 11 08:12:56 2014 +0200

    release 4.0.1.5

diff --git a/debian/changelog b/debian/changelog
index 11a1e84..2c83ad7 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,8 +1,8 @@
-x2goclient (4.0.1.4-0x2go2) unstable; urgency=low
+x2goclient (4.0.1.5-0x2go1) unstable; urgency=low
 
-  * Build fix release (for 4.0.1.4):
+  * Build fix release (4.0.1.5):
     - Add x2goclient_nl.ts to x2goclient.pro, so that the
-      .qm file gets generated during build.
+      .qm file gets generated during build. (Fixes: #473).
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 10 Apr 2014 17:47:27 +0200
 


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#473; Package x2goclient. (Fri, 11 Apr 2014 06:25:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 11 Apr 2014 06:25:02 GMT) (full text, mbox, link).


Message #49 received at 473@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 473-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 473@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Fri, 11 Apr 2014 08:23:20 +0200 (CEST)
close #473
thanks

Hello,

we are very hopeful that X2Go issue #473 reported by you
has been resolved in the new release (4.0.1.5) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.1.5)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=215a44496ec1ae18760f33ab71c8af9d56576f08;hp=21dc1122f3dcb2b7d4db19eb192b66256aecad74

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.1.5-0x2go1
Status: RELEASE
Date: Thu, 10 Apr 2014 17:47:27 +0200
Fixes: 473
Changes: 
 x2goclient (4.0.1.5-0x2go1) RELEASED; urgency=low
 .
   * Build fix release (4.0.1.5):
     - Add x2goclient_nl.ts to x2goclient.pro, so that the
       .qm file gets generated during build. (Fixes: #473).


Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#473. (Fri, 11 Apr 2014 06:25:03 GMT) (full text, mbox, link).


Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#473. (Fri, 11 Apr 2014 06:25:04 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 10 May 2014 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Sep 15 07:42:05 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.